# std::tr1::_Function_handler< void(...), _Member _Class::* > Class Template Reference

Inheritance diagram for std::tr1::_Function_handler< void(...), _Member _Class::* >:

List of all members.

## Detailed Description

### template<typename _Class, typename _Member _GLIBCXX_COMMA _GLIBCXX_TEMPLATE_PARAMS>
class std::tr1::_Function_handler< void(...), _Member _Class::* >

Definition at line 557 of file functional_iterate.h.

## Static Public Member Functions

- static void _M_init_functor (_Any_data &__functor, const _Functor &__f)
- static void _M_invoke (const _Any_data &__functor _GLIBCXX_COMMA _GLIBCXX_PARAMS)
- static bool _M_manager (_Any_data &__dest, const _Any_data &__source, _Manager_operation __op)
- template<typename _Tp> static bool _M_not_empty_function (const _Tp &)
- template<typename _Class, typename _Tp> static bool _M_not_empty_function (_Tp _Class::*const &__mp)
- template<typename _Tp> static bool _M_not_empty_function (const _Tp *&__fp)
- template<typename _Signature> static bool _M_not_empty_function (const function< _Signature > &__f)

## Protected Types

- typedef integral_constant<
  bool, __stored_locally > _Local_storage

## Static Protected Member Functions

- static void _M_clone (_Any_data &__dest, const _Any_data &__source, false_type)
- static void _M_clone (_Any_data &__dest, const _Any_data &__source, true_type)
- static void _M_destroy (_Any_data &__victim, false_type)
- static void _M_destroy (_Any_data &__victim, true_type)
- static _Functor * _M_get_pointer (const _Any_data &__source)

## Static Protected Attributes

- static const bool __stored_locally

The documentation for this class was generated from the following file:

- functional_iterate.h